Skip to main content
GET
Get a voucher by ID

Path Parameters

id
number
required

Used to identify the voucher throughout the Spirii system

Response

Voucher has been found.

id
number<integer>
required

Used to identify the voucher throughout the Spirii system.

Example:

67890

code
string<string>
required

Unique code used to redeem the voucher.

Example:

"TT-67890"

voucherGroupId
number<integer>
required

Id belonging to a voucher group this voucher is associated with.

Example:

67890

maxUsers
number<integer> | null
required

Maximum number of users allowed to redeem this voucher.

Required range: x <= 65535
Example:

100

expiresAt
string<date-time> | null
required

Date after which the voucher is unusable.

Example:

"2025-06-03T12:00:00.000Z"

createdAt
string<date-time>
required

The date and time when the voucher was created.

Example:

"2025-06-03T12:00:00.000Z"

updatedAt
string<date-time>
required

The date and time when the voucher was last updated.

Example:

"2025-06-03T12:00:00.000Z"

deletedAt
string<date-time> | null
required

The date and time when the voucher was deleted.

Example:

"2025-06-03T12:00:00.000Z"